"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.main = exports.writer = void 0;
const app_root_path_1 = __importDefault(require("app-root-path"));
const path_1 = __importDefault(require("path"));
const reader_1 = require("./utils/reader");
const builder_1 = require("./utils/builder");
var writer_1 = require("./utils/writer");
Object.defineProperty(exports, "writer", { enumerable: true, get: function () { return writer_1.writer; } });
const pkgJson = require('../package.json');
async function main() {
    const modelsPath = (0, reader_1.getModelPath)();
    if (!modelsPath) {
        console.log('Model path not defined, stoping...');
        return;
    }
    const fileNames = await (0, reader_1.getModelFileNames)(modelsPath);
    if (!fileNames)
        return;
    const modelsName = await (0, builder_1.generateTemplateFormat)(modelsPath, fileNames);
    const content = await (0, builder_1.renderTemplate)(modelsName);
    return (0, builder_1.saveTemplateFile)(path_1.default.join(app_root_path_1.default.path, `node_modules/${pkgJson.name}/helper.d.ts`), content);
}
exports.main = main;
