"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveTemplateFile = exports.renderTemplate = exports.generateTemplateFormat = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const app_root_path_1 = __importDefault(require("app-root-path"));
const lodash_template_1 = __importDefault(require("lodash.template"));
const lodash_snakecase_1 = __importDefault(require("lodash.snakecase"));
const constant_1 = require("./constant");
const pkgJson = require('../../package.json');
const generateTemplateFormat = (modelsPath, fileNames) => fileNames.reduce((prev, curr) => {
    prev.push({
        name: (0, lodash_snakecase_1.default)(curr),
        fileName: curr,
        path: path_1.default.relative(path_1.default.join(app_root_path_1.default.path, 'node_modules', pkgJson.name), path_1.default.join(app_root_path_1.default.path, modelsPath, curr)),
    });
    return prev;
}, []);
exports.generateTemplateFormat = generateTemplateFormat;
const renderTemplate = (modelsName) => (0, lodash_template_1.default)(constant_1.HELPER_TEMPLATE)({
    modelsName,
});
exports.renderTemplate = renderTemplate;
const saveTemplateFile = async (writePath, content) => {
    if (!fs_extra_1.default.existsSync(path_1.default.resolve(writePath, '..')))
        fs_extra_1.default.mkdirSync(path_1.default.resolve(writePath, '..'), {
            recursive: true,
        });
    fs_extra_1.default.writeFileSync(writePath, content);
};
exports.saveTemplateFile = saveTemplateFile;
