"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModelFileNames = exports.getSeederPath = exports.getMigrationPath = exports.getModelPath = exports.getConfigs = exports.getPackageJson = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const app_root_path_1 = __importDefault(require("app-root-path"));
const path_1 = __importDefault(require("path"));
const getPackageJson = () => require(path_1.default.resolve(app_root_path_1.default.path, 'package.json'));
exports.getPackageJson = getPackageJson;
const getConfigs = () => {
    const pkgJson = (0, exports.getPackageJson)();
    const userConfig = pkgJson['sequelize-db-type'];
    return userConfig;
};
exports.getConfigs = getConfigs;
const getModelPath = () => {
    const config = (0, exports.getConfigs)();
    if (!config)
        return;
    return (config?.models ?? '');
};
exports.getModelPath = getModelPath;
const getMigrationPath = () => {
    const config = (0, exports.getConfigs)();
    if (!config)
        return;
    return (config?.migrations ?? '');
};
exports.getMigrationPath = getMigrationPath;
const getSeederPath = () => {
    const config = (0, exports.getConfigs)();
    if (!config)
        return;
    return (config?.seeders ?? '');
};
exports.getSeederPath = getSeederPath;
const getModelFileNames = async (modelsPath) => {
    if (typeof modelsPath !== 'string') {
        console.log('Model path is not in valid format, stopping...');
        return;
    }
    const fileNames = await fs_extra_1.default.readdir(path_1.default.resolve(app_root_path_1.default.path, modelsPath));
    const filteredFileNames = fileNames
        .filter((name) => !['index.ts', 'index.js'].includes(name) &&
        name.indexOf('.') !== 0 &&
        name.indexOf('.test.js') === -1 &&
        name.indexOf('.d.ts') === -1 &&
        name.indexOf('.test.ts') === -1)
        .map((val) => {
        const vals = val.split('.');
        // Remove extensions
        vals.pop();
        return vals.join('.');
    });
    return filteredFileNames;
};
exports.getModelFileNames = getModelFileNames;
