"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writer = void 0;
const path_1 = __importDefault(require("path"));
const app_root_path_1 = __importDefault(require("app-root-path"));
const reader_1 = require("./reader");
const builder_1 = require("./builder");
function writer(fileName, content, type) {
    let destPath = '';
    let errorMessage = '';
    switch (type) {
        case 'migration':
            destPath = (0, reader_1.getMigrationPath)();
            errorMessage = 'Migration';
            break;
        case 'seeder':
            destPath = (0, reader_1.getSeederPath)();
            errorMessage = 'Seeder';
            break;
        case 'model':
            destPath = (0, reader_1.getModelPath)();
            errorMessage = 'Model';
            break;
        default:
            return;
    }
    if (!destPath) {
        console.log(`${errorMessage} path not defined, stoping...`);
        return;
    }
    destPath = path_1.default.join(app_root_path_1.default.path, destPath);
    const writePath = path_1.default.join(destPath, `${fileName.toLowerCase()}.ts`);
    return (0, builder_1.saveTemplateFile)(writePath, content);
}
exports.writer = writer;
